org.apache.ignite.internal.visor

## Class VisorCoordinatorNodeTask<A,R>

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<A,R>
    - - org.apache.ignite.internal.visor.VisorCoordinatorNodeTask<A,R>

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<A>,R>

    public abstract class VisorCoordinatorNodeTask<A,R>
    extends VisorOneNodeTask<A,R>

Base class for Visor tasks intended to execute job on coordinator node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCoordinatorNodeTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Collection<UUID>` `jobNodes(VisorTaskArgument<A> arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`job, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCoordinatorNodeTask

    public VisorCoordinatorNodeTask()

### Method Detail

#### jobNodes

    protected Collection<UUID> jobNodes(VisorTaskArgument<A> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<A,R,R>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022